## org.eclipse.contribution.visualiser.interfaces
Interface IGroup

All Superinterfaces:
  IMember

All Known Implementing Classes:
  SimpleGroup

public interface IGroup
extends IMember

The IGroup interface is a simple extension of IMember that supports children members.

Method Summary
`void` `add(IMember member)` Add a new IMember to this group.
`java.util.List` `getMembers()` Return list of all children in this group, the list should contain IMembers.

Methods inherited from interface org.eclipse.contribution.visualiser.interfaces.IMember
`getContainingGroup, getFullname, getName, getSize, getToolTip, setContainingGroup, setName, setSize, setTooltip`

Method Detail

### getMembers

    public java.util.List getMembers()

  Return list of all children in this group, the list should contain IMembers.

### add

    public void add(IMember member)

  Add a new IMember to this group.